Package com.sun.jna.platform.win32

# Class OaIdl.DATE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.DATE

Direct Known Subclasses:
  `OaIdl.DATE.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder("date") public static class OaIdl.DATE extends Structure

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`OaIdl.DATE.ByReference`

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`date`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`DATE()`
`DATE(double date)`
`DATE(Date javaDate)`

## Method Summary

Modifier and Type
Method
Description
`Date`
`getAsJavaDate()`
`void`
`setFromJavaDate(Date javaDate)`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### date

public double date

## Constructor Details

### DATE

public DATE()

### DATE

public DATE(double date)

### DATE

public DATE(Date javaDate)

## Method Details

### getAsJavaDate

public Date getAsJavaDate()

### setFromJavaDate

public void setFromJavaDate(Date javaDate)